Create a new offense with an image
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses"
payload = { "filename": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>'})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses"
payload := strings.NewReader("{\n \"filename\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false,
"secret": "<string>",
"itemId": "<unknown>"
}Offenses
Create a new offense with an image
Upload the image of the ticket
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
blobs
/
offenses
Create a new offense with an image
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses"
payload = { "filename": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>'})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses"
payload := strings.NewReader("{\n \"filename\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/offenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false,
"secret": "<string>",
"itemId": "<unknown>"
}This endpoint deals with defining the name and content type of the file. Use Get a file upload link to upload the actual contents of the files by providing the UUID and secret from the response.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
Blob upload info
Response
The blob information

